package cn.reghao.oss.storeapi.iface;

import cn.reghao.oss.storeapi.dto.*;
import cn.reghao.oss.storeapi.dto.ObjectInfo;

import java.util.List;

/**
 * @author reghao
 * @date 2023-05-28 23:25:06
 */
public interface ObjectService {
    void setObjectsScope(int scope, List<String> objectIds);
    void deleteByObjectIds(List<String> objectIds);
    void deleteByObjectName(String objectName);
    String getSignedUrl(int loginUser, String objectId, int expireSecond);
    ObjectInfo getObjectInfo(int loginUser, String objectId, int expireSecond);
}
